#
# spec file for package python-nautilus
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           python-nautilus
%define _name   nautilus-python
Version:        0.7.2
Release:        0.3.1
License:        LGPL v2 or later
Summary:        Python bindings for Nautilus
Group:          Development/Libraries/Python
Url:            http://git.gnome.org/cgit/nautilus-python/
Source:         %{_name}-%{version}.tar.gz
Patch0:         pygobject-capsule.patch
BuildRequires:  gtk-doc
BuildRequires:  nautilus-devel
BuildRequires:  python-devel
BuildRequires:  python-gnome-devel
BuildRequires:  python-gobject2-doc
BuildRequires:  python-gtk-devel
Requires:       python-gtk
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains bindings to write Nautilus extensions with Python.
It allows writing menu, property pages and column providers extensions,
so that Nautilus functionality can be easily extended.

%package devel
License:        LGPL v2 or later
Summary:        Python bindings for Nautilus - Development Files
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       python-gtk-devel

%description devel
Development files needed for writing Nautilus Python extensions
This package contains bindings to write Nautilus extensions with Python.
It allows writing menu, property pages and column providers extensions,
so that Nautilus functionality can be easily extended.

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1

%build
%configure --disable-static \
        --enable-gtk-doc
make %{?jobs:-j%jobs}

%install
%makeinstall
# New dir where python extensions get installed. It's not created by make
# install (bgo#638890).
test ! -d %{buildroot}%{_datadir}/nautilus-python/extensions
mkdir -p %{buildroot}%{_datadir}/nautilus-python/extensions
find %{buildroot} -type f -name "*.la" -delete -print
mkdir -p %{buildroot}%{_libdir}/nautilus/extensions-2.0/python

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/nautilus/extensions-2.0/libnautilus-python.so
%{_libdir}/nautilus-python/
%dir %{_libdir}/nautilus/extensions-2.0/python
%dir %{_datadir}/nautilus-python
%dir %{_datadir}/nautilus-python/extensions

%files devel
%defattr(-,root,root)
%{_datadir}/doc/nautilus-python/
%{_datadir}/gtk-doc/html/nautilus-python/
%{_libdir}/pkgconfig/nautilus-python.pc

%changelog
* Tue Mar 22 2011 tzotsos@opensuse.org
- Added a patch from Adam Plumb to fix bug 676708
* Fri Mar 11 2011 tzotsos@opensuse.org
- Upgraded to version 0.7.2:
  * fixes a bug that creates an error from python when importing nautilus
* Fri Jan  7 2011 vuntz@opensuse.org
- Create and own %%{_datadir}/nautilus-python/extensions since
  extensions can be installed there now.
* Sun Aug  8 2010 vuntz@opensuse.org
- Pass --enable-gtk-doc to configure, and add gtk-doc and
  python-gobject2-doc BuildRequires to build the API docs.
* Mon Jun 21 2010 dimstar@opensuse.org
- Update to version 0.7.0:
  + Added methods:
  - nautilus.InfoProvider.update_file_info_full
  - nautilus.InfoProvider.update_complete_invoke
  - nautilus.InfoProvider.cancel_update
  - nautilus.MenuProvider.get_file_items_full
  - nautilus.MenuProvider.get_background_items_full
  - nautilus.MenuProvider.get_toolbar_items_full
  - nautilus.MenuProvider.emit_items_updated_signal
  + Added complete gtk-doc documentation: tutorial and reference.
    Enable by adding the --enable-gtk-doc argument to ./configure
    or ./autogen.sh
  + Updated the autogen.sh file so it is not a copied-over obsolete
    version of gnome-autogen.sh, but a shell that calls the user's
    installed gnome-autogen.sh.
  + Removed obsolete .spec file
  + Removed obsolete examples/documentation.py file
  + Added an example plugin for the LocationWidgetProvider
  + Look for python plugins in
    $XDG_DATA_DIR/nautilus-python/extensions.
    This includes ~/.local/share and /usr/share (or whatever
    $XDG_DATA_DIR is set to).
* Tue Jan 19 2010 vuntz@opensuse.org
- Update to version 0.6.1:
  + Look for libpython2.6.so.1.0 instead of libpython2.6.so, the
    latter is general available from -devel packages only.
  + Re-added the missing spec and pc files
  + Free pygobject data directly after using file objects. Stops
    seg faults from occurring when nautilus wants to free pygobject
    data after Py_Finalize() is called.
* Fri Jan 15 2010 vuntz@opensuse.org
- Update to version 0.6.0:
  + Remove eel dependency
  + Sanitize python search path
  + Remove gnomevfs dependency and unused code
  + Load python from lib64 in 64 bit multilib distributions
  + Fix segfault when a plugin doesn't implement the __init__
    method
  + Added the can_write, get_mount, get_file_type, get_location,
    and get_parent_location methods to the NautilusFileInfo object
  + Added the NautilusMenu.get_items method
  + Updated some example plugins
  + Bug fix for some PyThreadState_New segmentation faults
  + Use the nautilus prefix by default for distfiles, rather than
    /usr
  + Require nautilus-2.22 and pygobject-2.16 now that we support
    GIO
- Drop python-nautilus-no-libeel.patch: fixed upstream.
- Drop python-nautilus-no-gnomevfs.patch: fixed upstream.
- Drop python-nautilus-autoreconf-m4.patch: not needed anymore,
  since we can remove the autoreconf call now.
* Sun Jun 14 2009 vuntz@novell.com
- Clean up package for Contrib.
